#!/bin/bash

# f1 
# Will give an error message, since function "f1" not yet defined.

# declare -f f1  # This doesn't help either.
# f1             # Still an error message.

# However...
f1 () {
echo "Calling function \"f2\" from within function \"f1\"."
f2
}

f2 () {
echo "Function \"f2\"."
}

# f1 
# Function "f2" is not actually called until this point
# although it is referenced before its definition.
# This is permissible.

