#!/bin/bash
# Scriptname: mybackup.sh
# Purpose: Create backup files and store
# them in a backup directory.
# 
backup_dir=backup
mkdir $backup_dir
for file in *.sh 
do
   if [ -f $file ]
   then
      cp $file $backup_dir/${file}.bak
      echo "$file is backed up in $backup_dir"
   fi
done
