#!/bin/bash
# Using the new style test command: [[ ]]
# filename: perm_check2.sh
#
file=./testing
if [[ -d $file ]] 
then
   echo "$file is a directory" 
elif [[ -f $file ]]
then 
   if [[ -r $file && -w $file && -x $file ]] 
   then    # nested if command
      echo "You have read,write,and execute permission on $file."
   fi
else
   echo "$file is neither a file nor a directory. "
fi
