#!/bin/bash
# Functions and parameters

DEFAULT=default # Default param value.
func2 () {
  if [ -z "$1" ]  # Is parameter #1 zero length?
  then
    echo "-Parameter #1 is zero length -" 
  else
    echo "-Param #1 is \"$1\" -"
fi

variable=${1:-$DEFAULT} 
echo "variable = $variable" 

if [ "$2" ]
then
  echo "- Parameter #2 is \"$2\" -"
fi
return 0
}

echo
echo "Nothing passed"
func2   # Called with no params

echo
echo "One parameter passed."
func2 first  # Called with one param

echo
echo "Two parameters passed."
func2 first second # Called with two params

echo
echo "\"\" \"second\" passed."
func2 "" second 
# The first parameter is of zero?length

echo  
exit 0
# End of script 

